# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# kswitch

## SYNOPSIS

kswitch {-c cachename|-p principal}

## DESCRIPTION

kswitch makes the specified credential cache the primary cache for the collection, if a cache collection is available.

## OPTIONS

-c cachename
  Directly specifies the credential cache to be made primary.
-p principal
  Causes the cache collection to be searched for a cache containing credentials for principal. If one is found, that collection is made primary.

## ENVIRONMENT

See kerberos for a description of Kerberos environment variables.

## FILES

DEFCCNAME
  Default location of Kerberos 5 credentials cache

## SEE ALSO

kinit, kdestroy, klist, kerberos